# std::error_condition::error_condition

From cppreference.com
< cpp‎ | error‎ | error condition

error_condition(); | (1) | (since C++11)
error_condition( const error_condition& other ); | (2) | (since C++11) (implicitly declared)
error_condition( int val, const error_category& cat ); | (3) | (since C++11)
template< class ErrorConditionEnum > error_condition( ErrorConditionEnum e ); | (4) | (since C++11)

Constructs new error condition.

1) Default constructor. Initializes the error condition with generic category and error code ​0​.
2) Copy constructor. Initializes the error condition with the contents of `other`.
3) Initializes the error condition with error code `val` and error category `cat`.
4) Initializes the error condition with enum `e`. Effectively calls make_error_condition(). Does not participate in the overload resolution unless is_error_condition_enum<ErrorConditionEnum>::value is true.

### Parameters

other | - | another error condition to initialize with
val | - | error code
cat | - | error category
e | - | error condition enum

### Exceptions

`noexcept` specification:
noexcept

### See also

make_error_condition(std::errc) (C++11) | constructs an std::errc error condition (function)
make_error_condition(std::io_errc) (C++11) | constructs an iostream error_condition (function)
make_error_condition(std::future_errc) (C++11) | constructs a future error_condition (function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/error/error_condition/error_condition&oldid=91605"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template